Subject: [Tools-discuss] idnits 2.16.02 feedback: complains about not knowing the date

From: Daniel Kahn Gillmor <[email-masked]>
Date: Mon, 04 Nov 2019 15:44:24 -0500

I just submitted draft-autocrypt-lamps-protected-headers-01 on behalf
of a group of authors.

idnits 2.16.02 complains "Couldn't figure out when the document was first submitted":

https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-autocrypt-lamps-protected-headers-01.txt

  == Couldn't figure out when the document was first submitted -- there may
     comments or warnings related to the use of a disclaimer for pre-RFC5378
     work that could not be issued because of this.  Please check the Legal
     Provisions document at https://trustee.ietf.org/license-info to determine
     if you need the pre-RFC5378 disclaimer.

I tried looking at the source for idnits but i confess my awk-fu is
weak.  I managed to identify that "created" was being set to the empty
string on that input (i think) but i couldn't figure out how it was
supposed to be set.

AFAICT, that draft is very standard in how it refers to the date of
creation, so it seems like this is likely a gap in idnits.

Thanks for maintaining idnits!

         --dkg